Results 1 to 9 of 9

Thread: Wings, missing dependency on 13.1

  1. #1
    Join Date
    Oct 2008
    Location
    Mojave desert
    Posts
    316

    Default Wings, missing dependency on 13.1

    I've heard that Wings is a 3D modeller that's easy to use; I've never done any of that but thought I'd check it out. Installation attempt yields "nothing provides libSDL_sound" and offers to abort or break the program by ignoring the requirement. Funny thing is, I found and installed libSDL_Sound-1_0-1. Does anyone know what Wings is looking for?

    Thanks,

    GEF

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,882
    Blog Entries
    15

    Default Re: Wings, missing dependency on 13.1

    Hi
    Looking here (Assuming it's the education version) you need libSDL-1_2 which is in the oss/oss update repos.
    https://build.opensuse.org/package/d...=openSUSE_13.1
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3
    Join Date
    Oct 2008
    Location
    Mojave desert
    Posts
    316

    Default Re: Wings, missing dependency on 13.1

    Thanks, Malcolm, but now I'm confused. I appear to have the latest version of libSDL (1_2) and libSDL_Sound (1_0-1) in the OSS repo. Well, I'd rather keep a stable system than satisfy my curiosity about the software, but now I'm curious why YaST thinks I still need a package.

  4. #4

    Default Re: Wings, missing dependency on 13.1

    Quote Originally Posted by gfagan View Post
    I've heard that Wings is a 3D modeller that's easy to use; I've never done any of that but thought I'd check it out. Installation attempt yields "nothing provides libSDL_sound" and offers to abort or break the program by ignoring the requirement. Funny thing is, I found and installed libSDL_Sound-1_0-1. Does anyone know what Wings is looking for?
    Well, that wings package malcolm_lewis pointed to has a wrong dependency on libSDL_sound. Just tell YaST to ignore that, it should work then as you have libSDL_sound-1_0-1 installed anyway.
    Last edited by wolfi323; 08-Sep-2014 at 00:10.

  5. #5
    Join Date
    Oct 2008
    Location
    Mojave desert
    Posts
    316

    Default Re: Wings, missing dependency on 13.1

    Thanks Wolf. On your advice, I installed it, and it doesn't seem to have broken anything already on my computer, but the program itself won't start. Contents of wings_crash.dump:

    Code:
    Dump written 2014-9-8_0-50Version: 1.2.x.y.WINGS
    Window: "<Unknown Window Name>"
    Reason: {undef,[{wx,new,[],[]},
                    {wings_init,init,0,[{file,"wings_init.erl"},{line,147}]},
                    {wings,init,1,[{file,"wings.erl"},{line,104}]}]}
    Does that mean anything to you?

    GEF

  6. #6

    Default AW: Re: Wings, missing dependency on 13.1

    Quote Originally Posted by gfagan View Post
    Thanks Wolf. On your advice, I installed it, and it doesn't seem to have broken anything already on my computer,
    Of course not.
    You didn't make any change to your system, you only told YaST to ignore that missing dependency for wings.
    So, in the worst case, wings won't work.

    but the program itself won't start.
    That's a pity.
    But judging from the dump below, this is not related to libSDL_sound.

    Contents of wings_crash.dump:

    Code:
    Dump written 2014-9-8_0-50Version: 1.2.x.y.WINGS
    Window: "<Unknown Window Name>"
    Reason: {undef,[{wx,new,[],[]},
                    {wings_init,init,0,[{file,"wings_init.erl"},{line,147}]},
                    {wings,init,1,[{file,"wings.erl"},{line,104}]}]}
    Does that mean anything to you?
    No, sorry.

    Maybe you should report a bug. (the wrong dependency should be reported as well, anyway)
    There is a "Report Bug" button, that takes you directly to bugzilla: (same username/password as here in the forum)
    https://build.opensuse.org/package/show/Education/wings

    But then, that package seems to be completely broken at the moment anyway.
    Last edited by wolfi323; 08-Sep-2014 at 01:59.

  7. #7
    malcolmlewis NNTP User

    Default Re: Wings, missing dependency on 13.1

    On Mon 08 Sep 2014 07:56:01 AM CDT, gfagan wrote:


    Thanks Wolf. On your advice, I installed it, and it doesn't seem to have
    broken anything already on my computer, but the program itself won't
    start:


    Code:
    Dump written 2014-9-8_0-50Version: 1.2.x.y.WINGS
    Window: "<Unknown Window Name>"
    Reason: {undef,[{wx,new,[],[]},
    {wings_init,init,0,[{file,"wings_init.erl"},{line,147}]},
    {wings,init,1,[{file,"wings.erl"},{line,104}]}]}
    Does that mean anything to you? It's the contents of wings-crash.dump.

    GEF
    Hi
    After building 1.5.3 with the 17.1 version of erlang, get the same
    crash dump. Will investigate further Likewise, I'm just a
    packager/hacker but hopefully can track down the cause.

    --
    Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter #276890)
    openSUSE 13.1 (Bottle) (x86_64) GNOME 3.10.1 Kernel 3.11.10-21-desktop
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!


  8. #8

    Default Re: Wings, missing dependency on 13.1

    Quote Originally Posted by malcolmlewis View Post
    After building 1.5.3 with the 17.1 version of erlang, get the same
    crash dump.
    Right, I tried that as well.
    I branched wings on OBS and updated the sources to 1.5.3, it failed to build for all but Factory (which has erlang 17.1).

    The Factory package installed fine on my system, but it crashed on startup, too.
    The crash dump was _not_ the same though, I rather got the one from https://bugzilla.novell.com/show_bug.cgi?id=750318, although I do have libSDL_sound installed.

    Unfortunately I have absolutely no knowledge about erlang either. I barely read the name upto now...
    Last edited by wolfi323; 08-Sep-2014 at 22:34.

  9. #9
    Join Date
    Oct 2008
    Location
    Mojave desert
    Posts
    316

    Default Re: Wings, missing dependency on 13.1

    Thanks, everyone. This is a great community. I've filed my first-ever bug report at Wolfi's suggestion, but for my part, this is a matter of curiosity on a lazy Sunday afternoon, no basis to mobilize an army. Worst-case scenario, I dive straight into Blender instead. -GEF

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •